// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.alta.dto;

import com.nationrel.modules.alta.entity.AltaColumn;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Schema(description = "应力项修改接受")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class AltaColumnsEditDto {

    @Schema(description = "所有应力项")
    private List<AltaColumn> allColumns;

    @Schema(description = "选中应力项")
    private List<AltaColumn> selectColumns;
}

