// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.alta.vo;

import com.nationrel.modules.alta.entity.AltaAnalysis;
import com.nationrel.modules.alta.entity.AltaColumn;
import com.nationrel.modules.alta.entity.AltaData;
import com.nationrel.modules.alta.entity.AltaSetting;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;


@Schema(description = "快速计算数据接受")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class AltaAnalysisDetailVo {

    private AltaAnalysis altaAnalysis;

    private List<AltaColumn> altaColumns;

    private List<AltaData> altaDatas;

    private AltaSetting altaSetting;

    private String altaCalcResult;
}

